import request from '@/utils/request'

// 查询LineUser列表
export function listLineUser(query) {
    return request({
        url: '/api/v1/line-user',
        method: 'get',
        params: query
    })
}

// 查询LineUser详细
export function getLineUser (id) {
    return request({
        url: '/api/v1/line-user/' + id,
        method: 'get'
    })
}


// 新增LineUser
export function addLineUser(data) {
    return request({
        url: '/api/v1/line-user',
        method: 'post',
        data: data
    })
}

// 修改LineUser
export function updateLineUser(data) {
    return request({
        url: '/api/v1/line-user/'+data.id,
        method: 'put',
        data: data
    })
}

// 删除LineUser
export function delLineUser(data) {
    return request({
        url: '/api/v1/line-user',
        method: 'delete',
        data: data
    })
}

